## com.gargoylesoftware.htmlunit.html
Interface HtmlAttributeChangeListener

All Superinterfaces:
  java.io.Serializable

    public interface HtmlAttributeChangeListener

extends java.io.Serializable

Implementations of this interface receive notifications of changes to the attribute list on the HtmlElement.

Version:
  $Revision: 4792 $
Author:
  Ahmed Ashour
See Also:
  `HtmlAttributeChangeEvent`

Method Summary
`void` `attributeAdded(HtmlAttributeChangeEvent event)` Notification that a new attribute was added to the HtmlElement.
`void` `attributeRemoved(HtmlAttributeChangeEvent event)` Notification that an existing attribute has been removed from the HtmlElement.
`void` `attributeReplaced(HtmlAttributeChangeEvent event)` Notification that an attribute on the HtmlElement has been replaced.

Method Detail

### attributeAdded

    void attributeAdded(HtmlAttributeChangeEvent event)

  Notification that a new attribute was added to the HtmlElement. Called after the attribute is added.

  Parameters:
    `event` - the attribute change event

### attributeRemoved

    void attributeRemoved(HtmlAttributeChangeEvent event)

  Notification that an existing attribute has been removed from the HtmlElement. Called after the attribute is removed.

  Parameters:
    `event` - the attribute change event

### attributeReplaced

    void attributeReplaced(HtmlAttributeChangeEvent event)

  Notification that an attribute on the HtmlElement has been replaced. Called after the attribute is replaced.

  Parameters:
    `event` - the attribute change event

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.